Podręcznik PHP
Poprzedni |  | Następny

# yp_next

(PHP 3 >= 3.0.7, PHP 4, PHP 5 <= 5.0.4)

yp_next -- Returns the next key-value pair in the named map

## Opis

array yp_next ( string domain, string map, string key )

Returns the next key-value pair in the named `map` after the specified `key`.

## Parametry

`domain`

`map`

`key`

## Zwracane wartości

Returns the next key-value pair as an array, or `FALSE` on errors.

## Przykłady

Przykład 1. Example for NIS next

`<?php $entry = yp_next($domain, "passwd.byname", "joe"); if (!$entry) { echo "No more entries found\n"; echo "<!--" . yp_errno() . ": " . yp_err_string() . "-->"; } $key = key($entry); echo "The next entry after joe has key " . $key . " and value " . $entry[$key]; ?>`

## Patrz także

yp_first()
yp_get_default_domain()

Poprzedni | Spis treści | Następny
yp_match | Początek rozdziału | yp_order